Bug 49146 - installer crash with old video card
installer crash with old video card
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-15 14:32 EDT by Michael Redinger
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 15:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2001-07-15 14:32:20 EDT
Description of Problem:

I've an old server with a CL-GD5420 video card (512 KB video ram -
it's really old ...) (an onboard chip in a Compaq Proliant 1500 server). anaconda doesn't seem to find the card and therefore fails, leaving a nice traceback.
This happens in both GUI and TUI install modes.


#############################################################
GUI install:

Probing for video card:
Probing for mouse typ0e:

Traceback (innermost last):
File "/usr/lib/anaconda", line 397, in ?
   mousehw)
File "/usr/lib/anaconda/.xserver.py", lin 87 in startX
   probedServer = video.primaryCard().getXServer()
AttributeError: 'None' object has no attribute 'getXServer'




###########################################################
TUI install (after package selection):

Traceback (innermost last):
   File "/usr/lib/anaconda", line 561 in ?
      intf.run(id, dispatch)
   File "/usr/lib/anaconda/text.py", line 365 in run
      rc = apply(win, (self.screen, ) + args)
   File "/usr/lib/anaconda/textw/xconfig.text.py", line 506, in __call__
      self.xconfig.filterModesbyMemory()
   File "/usr/lib/anaconda/xf86config.py", line 742, in fiterModesByMemory
      self.modes = self.availableModes()
   File "/usr/lib/anaconda/xf86config.py", line 700, in availableModes
      vidRam = self.video.primaryCard().getVideoRam()
Attribute Error: 'None' object has no attribute 'getVideoRam'





How Reproducible:
100%

Steps to Reproduce:
1. get yourself some old video cards ... ;)


Actual Results:
installer crashes

Expected Results:
well, a server doesn't need a nice GUI. So why bother?
GUI installation should fall back to TUI installation.

Additional Information:
It's hard to write down those tracebacks if saving them doesn't work ... ;))
Comment 1 Michael Fulbright 2001-07-16 11:17:44 EDT
Known issue we're working on for beta 3.
Comment 2 Glen Foster 2001-07-16 14:53:21 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 3 Matt Wilson 2001-07-19 12:23:37 EDT
should be fixed in updates disk posted to testers-list

Note You need to log in before you can comment on or make changes to this bug.